const pluginBuilder = require('../../plugin/plugin-builder');

module.exports = (options, events) => {
    const builder = new pluginBuilder('caesarjs-server-options-events-plugin', 'Server user options events loader', 'Caesar.js team', '0.0.1');
    builder.addMiddleware(
        (req, res, next) => {

            req.caesar = {};
            req.caesar = {
                events,
                options
            };
            
            next();
        }
    );

    return builder.buildPlugin();
};
