const pluginBuilder = require('../../plugin/plugin-builder');

module.exports = (routes) => {
    const builder = new pluginBuilder('error-hanler-plugin', 'Error handler plugin', 'Caesar.js Team', '0.0.1');

    builder.addMiddleware( (req, res, next) => {
        const error = 'User route could not be found';
        res.status(404).caesarJson( {routes, error} );
        next();
    });

    return builder.buildPlugin();
};