'use strict';
const perfy = require('perfy');

const resEncryptorJson = (encryptor) => (req, res, next) => {

    res.caesarJson = (data) => {

        req.caesar.events.emitSendData(data);

        let dataToEncrypt = encryptor.encrypt(data);

        res.json({
            'encrypted-by-caesar': dataToEncrypt
        });

        let perfyMetrics =  perfy.end(req.path);
        req.statsDb.addMetric(req.path, perfyMetrics);
        
    };

    next();
};

module.exports = resEncryptorJson;
