const pluginBuilder = require('../../plugin/plugin-builder');
const pino = require('pino');

module.exports = () => {

    const builder = new pluginBuilder('caesarjs-server-logger', 'Server logger plugin', 'Caesar.js team', '0.0.1');
    builder.addMiddleware(
        (req, res, next) => {
            req.logger = pino();
            next();
        }
    );

    return builder.buildPlugin();
};
