const caesarEventsEmitter = require('events');

module.exports = class CaesarEvents {

    constructor () {
        this.emitter = new caesarEventsEmitter();
    }

    emitSendData (data) {
        this.emitter.emit('send-data', data);
    }

    emitReceiveData (data, clientId) {
        this.emitter.emit('receive-data', data, clientId);
    }

    receiveData (cb) {
        this.emitter.once('receive-data', cb);
    }

    sendData (cb) {
        this.emitter.once('send-data', cb);
    }

};
