const loki = require('lokijs');

module.exports = class CesarDb {

    constructor (databaseName, collectionsToCreate)
    {

        let db = new loki(databaseName, {
            autosave: true,
            autoload: true
        });

        collectionsToCreate.forEach( (coll) => {
            let collection = db.getCollection(coll.name);
            if(!collection) {
                db.addCollection(coll.name, coll.options);
            }
        });

        this.db = db;
        this.databaseName = databaseName;
    }

    removeDatabase ()
    {
        this.db.deleteDatabase(function () {
        });
    }
};
